package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.UpdateStudentFeeDto;
import com.ym.mec.biz.dal.entity.MusicGroupStudentFee;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;

public interface MusicGroupStudentFeeService extends BaseService<Long, MusicGroupStudentFee> {

	/**
	 * 刷新续费状态
	 * @return
	 */
	boolean refreshPaymentFeeStatus();

	/**
	 * 修改学员的缴费金额和缴费周期
	 * @param studentFeeDto
	 */
    void updateStudentFee(UpdateStudentFeeDto studentFeeDto);

	/**
	 * 获取学员费用
	 * @param userId
	 * @param musicGroupId
	 * @return
	 */
	MusicGroupStudentFee findByUser(Integer userId,String musicGroupId);

	/**
	 * 修改学员缴费周期锁定状态
	 * @param studentFeeDto
	 */
	void updateStudentFeeIsLock(UpdateStudentFeeDto studentFeeDto);


	/**
	 * 批量修改课程费用
	 * @param ids
	 * @param courseFee
	 */
    void batchUpdateCourseFee(String ids, BigDecimal courseFee);
}